View Issue Details

IDProjectCategoryView StatusLast Update
0002746MediaMonkey (current)Main Panel/Toolbars/Menuspublic2010-10-25 13:32
Reporterjiri 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version4.0 
Summary0002746: Vista-like look of MM
DescriptionCurrently the non-skinned version of MM has that Aero effect on Win Vista, but the skinned version doesn't. We should find out whether there's a way to tell Windows to apply the effect on our custom drawn windows.
Additional InformationSome links that don't exactly help fix the issue, but contain some related information:
http://msdn.microsoft.com/library/en-us/shellcc/platform/shell/reference/functions/dwmsetwindowattribute.asp
http://msdn.microsoft.com/library/en-us/shellcc/platform/shell/programmersguide/dwm/dwm_blur_ovw.asp

http://www.installationexcellence.com/articles/VistaWithDelphi/Index.html

Forum:
http://www.mediamonkey.com/forum/viewtopic.php?p=226075#p226075
TagsNo tags attached.
Fixed in build1310

Activities

peke

2009-10-10 03:36

developer   ~0019127

I wander what would Happen if we draw MediaMonekey main Window inside Classic Vista Form as Root Parrent -> Custom Panel (Client Align) -> MediaMonkey Borderless Main Window?

Will there be too much performance drop?

petr

2010-09-08 21:00

developer   ~0020505

Fixed in 1310

stephen_platt

2010-10-25 13:32

developer   ~0020953

verified 1318